* gllamm review by L. Grilli & C. Rampichini at http://www.mlwin.com/softrev/gllamm.shtml
* March 2006
* gllamm rel. 2.3.11 of 15/10/2005

* Section 2.2 TWO-LEVEL MODELS FOR BINARY/BINOMIAL DATA

*define the working directory
cd D:\Documenti\Lavori_in_corso\gllamm_review

log using Binary.log, text

*1989 Bangladesh Fertility Survey 
*the data are a sub-sample of 1934 women grouped into 60 districts
*read data (assuming they are in the working directory)
infile id district use nchild age urban const using bang.txt

*assign labels
label variable use  "Contraceptive use status at time of survey"
label variable nchild  "Number of living children at time of survey"
label variable age "Age of woman at time of survey (in years), centred at mean"
label variable urban "Type of region of residence"

codebook

*************************************
*** random intercept probit model ***
*************************************

xi: gllamm use urban age i.nchild, i(district) family(binomial) link(probit) nip(8) adapt trace
estimates store probit1

************************************
*** random intercept logit model ***
************************************

xi: gllamm use urban age i.nchild, i(district) family(binomial) link(logit) nip(8) adapt trace
estimates store logit1

estimates stats probit1 logit1
estimates table probit1 logit1 , b(%9.4f) stats(ll) stfmt(%10.2f) se


*********************************
*** random slope probit model ***
*********************************
eq urban: urban
eq cons: cons

xi: gllamm use urban age i.nchild, i(district) family(binomial) link(probit) /*
	*/ nrf(2) eqs(cons urban) ip(m) adapt nip(7) trace
estimates store probit2

********************************
*** random slope logit model ***
********************************
xi: gllamm use urban age i.nchild, i(district) family(binomial) link(logit) /*
	*/ nrf(2) eqs(cons urban) ip(m) adapt nip(7) trace
estimates store logit2


