* gllamm review by L. Grilli & C. Rampichini at http://www.mlwin.com/softrev/gllamm.shtml
* March 2006
* gllamm rel. 2.3.11 of 15/10/2005

* Section 2.3 A TWO-LEVEL MODEL FOR COUNT DATA (RANDOM EFFECTS POISSON)

*define the working directory
cd D:\Documenti\Lavori_in_corso\gllamm_review

log using Poisson.log, text

*read data (assuming they are in the working directory)
infile nation idregion idcounty nobs nexp const uvb using mmmec.txt

*assign labels
label variable idregion  "Region ID"
label variable idcounty  "County ID"
label variable nobs "Number of male deaths due to MM during 1971~ 1980"
label variable nexp "Number of expected deaths"
label variable uvb "Measure of the UVB dose reahing the earth's surface in each county and centered"

codebook

gen lne=log(nexp)

xtpoisson nobs uvb, i(idregion) offset(lne) re

*the same with gllamm
gllamm nobs uvb, i(idregion) offset(lne) family(poisson) link(log) nip(8) adapt trace
est store model1

*overdispersion
gllamm nobs uvb, i(idcounty idregion) offset(lne) family(poisson) link(log) nip(8) adapt trace
est store model2

*test overdispersion
lrtest model2 model1

*insert nation as a further level (but no overdispersion)
gllamm nobs uvb, i(idregion nation) offset(lne) family(poisson) link(log) nip(10) adapt trace
est store model3

*the same with overdispersion
gllamm nobs uvb, i(idcounty idregion nation) offset(lne) family(poisson) link(log) nip(10) adapt trace
est store model4

*test overdispersion
lrtest model4 model3

*model comparison
est stats
est table model1 model2 model3 model4

