* gllamm review by L. Grilli & C. Rampichini at http://www.mlwin.com/softrev/gllamm.shtml
* March 2006
* gllamm rel. 2.3.11 of 15/10/2005

* Section 3.1 RANDOM EFFECTS MODELS FOR A MULTIPLE CATEGORIACAL RESPONSE

*define the working directory
cd D:\Documenti\Lavori_in_corso\gllamm_review

log using Multinomial.log, text

*data from the British Social Attitudes Survey
*read data (assuming they are in the working directory)
infile district id2  year score party sass gender age religion id  using socatt.txt

*assign labels
label variable id2  "Respondent code (within district)"
label variable year  "Year code (1=1983, 2=1984, 3=1985, 4=1986)"
label variable score  "Number of positive answers up to seven questions (1=yes for one item or none, 2=yes for two items,, 7=yes for seven items)"
label variable party "Party chosen (1=conservative, 2=labour, 3=Lib/SDP/Alliance, 4=others, 5=none)"
label variable sass "Self assessed social class (1=middle, 2 =upper working, 3=lower working)"
label variable gender "Gender (1=male, 2=female)"
label variable age "Age in years"
label variable religion "Religion (1=Roman catholic, 2=Protestant/Church of England, 3=others, 4=none)"
label variable id "Individual ID (unique)"

codebook


**********************************************************************
*** 2-level random intercept proportional odds model (Sect. 3.1.1) ***
**********************************************************************

xi: gllamm score i.religion, i(id) family(binomial) link(ologit) nip(8) adapt trace


**********************************************************************
*** 2-level random intercept multinomial logit model (Sect. 3.1.2) ***
**********************************************************************

gllamm score, i(id) base(7) link(mlogit) family(binom) nip(8) adapt trace
